CMCICLIENTFT.EXECQUERY(3)

NAME
CMCIClientFT.execQuery() - Query the enumeration of instances of a class

SYNOPSIS
#include <cmci.h>

CMPIEnumeration*
CMCIClientFT.execQuery(CMCIClient*cl,
CMPIObjectPath*op,
constchar*query,
constchar*lang,
CMPIStatus*rc);

DESCRIPTION
Query the enumeration of instances of the class (and subclasses) defined by reference op using the query expression.

Arguments are the client object pointer cl, an ObjectPath object pointer op with the reference that contains namespace and classname components, the query expression string pointer in query, the query language identifier string pointer in lang, and rc which returns the operation status (suppressed when NULL).

RETURN VALUE
When successful the CMCIClientFT.execQuery() function returns a pointer to a CMPIEnumeration object that contains the class instances that match the query and sets a successful operation status code. When unsuccessful it returns a NULL pointer and sets the operation status error code and corresponding error string in rc.

ERRORS

EXAMPLES

CONFORMING TO

SEE ALSO
Common Manageability Programming Interface (CMPI) - OpenGroup,
CMCIClient(3), CMPIEnumeration(3), CMPIObjectPath(3), CMPIStatus(3)